# Revelry::Core

For a more comprehensive guide, visit http://toolkit.revelry.co/pages/core.

## A React.js-based rendering engine for Ruby on Rails

An easy-to-implement isomorphic JavaScript layer for people who love Rails and React, plus a bunch of helpful glue to put it all together. Server-side rendering and routing makes search engines happy. Client-side rendering and routing makes users happy. Only having to write it in one place makes programmers happy.

## Data-driven components powered by Backbone.js

Do you like Backbone? Revelry::Core does. Anything you can do in Backbone, you can do in Revelry::Core, and it provides helpful form components and bindings to interact nicely with React.

## Styles powered by SASS and Zurb Foundation

Revelry::Core includes components that mirror many of Foundation's styles, including the grid system. All of Foundation's mixins are available, and your project can be themed simply by overriding SASS variables.

## BSD License

Revelry::Core is provided under a [BSD license](https://raw.githubusercontent.com/revelrylabs/revelry_core/master/LICENSE).

## Contributing

Pull requests are welcome! See our [issues page](https://github.com/revelrylabs/revelry_core/issues) for details or to add new issues. Things you might want to know: Currently Revelry::Core uses a lot of CoffeeScript, but we are working toward a move to ES6. Our tests are written in RSpec and Jasmine.
