describe("Rev.Components.Main", function() {
  var stubComponent = React.createClass({ render: function() {} });
  var Main = Rev.Components.Main;
  var mainInstance = React.createElement(Main, {path: 'home/show', options:{}});

  it("exists", function() {
    expect(Main).toBeDefined();
  });

  it("can convert path to component", function() {
    expect(Main.pathToComponentClassName('home/index')).toEqual('Home.Index')
  });

  it("can convert path to a component class", function() {
    expect(
      Main.pathToComponentClass('revelry/index')
    ).toBe(App.Components.Revelry.Index)
  });

  it("can find views that exist", function() {
    expect(Main.hasView('revelry/index')).toEqual(true);
  });

  it("does not find views that don't exist", function() {
    expect(Main.hasView('nosuch/index')).toEqual(false);
  });

  it("sets App.props when it mounts", function() {
    var element = document.createElement('div');
    React.render(mainInstance, element);
    expect(App.props).toBeDefined();
  });

  it("returns an element from createElement", function() {
    var el = Main.createElement(stubComponent);
    expect(React.addons.TestUtils.isElement(el)).toBeTruthy();
  });
});
