describe(Rev.Components.AuthenticityToken, function() {
  var Utils = React.addons.TestUtils;

  it('can get value from prop override', function() {
    var tokenValue = 'TEST CSRF TOKEN 1';
    var tmp = React.createElement(Rev.Components.AuthenticityToken, {value: tokenValue});
    var component = Utils.renderIntoDocument(tmp);

    expect(component.value).toBe(tokenValue);
  });

  it('can get value from App props metadata', function() {
    var tokenValue = 'TEST CSRF TOKEN 2';
    App.props.meta = {'csrf-token': tokenValue};

    var tmp = React.createElement(Rev.Components.AuthenticityToken);
    var component = Utils.renderIntoDocument(tmp);

    expect(component.value).toBe(tokenValue);
  });

  it('can get value from App props csrf_token', function () {
    var tokenValue = 'TEST CSRF TOKEN 3';
    App.props = {csrf_token: tokenValue};

    var tmp = React.createElement(Rev.Components.AuthenticityToken);
    var component = Utils.renderIntoDocument(tmp);

    expect(component.value).toBe(tokenValue);
  })
});
